commit:     87f9cc330ef992ed179dbed9bc9de84b73359497
Author:     Alexander Tsoy <alexander <AT> tsoy <DOT> me>
AuthorDate: Fri Jun  5 14:40:59 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jun 25 08:07:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87f9cc33

media-sound/guitarix: Version bump to 0.40.0

Signed-off-by: Alexander Tsoy <alexander <AT> tsoy.me>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-sound/guitarix/Manifest                      |  1 +
 .../files/guitarix-0.40.0-noexecstack.patch        | 26 +++++++
 .../guitarix/files/guitarix-0.40.0-nostrip.patch   | 24 +++++++
 media-sound/guitarix/guitarix-0.40.0.ebuild        | 84 ++++++++++++++++++++++
 4 files changed, 135 insertions(+)

diff --git a/media-sound/guitarix/Manifest b/media-sound/guitarix/Manifest
index 734522f2aef..b5029b9da9f 100644
--- a/media-sound/guitarix/Manifest
+++ b/media-sound/guitarix/Manifest
@@ -1 +1,2 @@
 DIST guitarix2-0.39.0.tar.xz 80769472 BLAKE2B 
a699545b7e4a9992ed11a17ee9f82170c1891a95a0543c3b847ff2a02ab4e6597c28cbb4708f85022b1e94f0184b6dc712c271729bdda07373101ea9e8a1323f
 SHA512 
5eb799498385ab9aa865e3f5a7e79d77f7f62c9bd7ad6875ec32bdec85829ed5b84bed3b0eab786ce74088fe2e1d53080f70afcb25ab1ef8d8f78a676b4947df
+DIST guitarix2-0.40.0.tar.xz 70880548 BLAKE2B 
08d849d15fcfaa26e6eacb5480e8ea28a86e94f2c28969abc00c479c2f8c31ecb80cd4e02f0244f2ead26d687ff90dcdb9027a5c7ad448cf1241d69ab56d2521
 SHA512 
902e4d924cae68a477518cb87d7b63edb8716db93e11add921e733c315f2646652fb1b434d182e836e1e866035cabe22a41d8dc66df0b6156b5242cdd31d51e8

diff --git a/media-sound/guitarix/files/guitarix-0.40.0-noexecstack.patch 
b/media-sound/guitarix/files/guitarix-0.40.0-noexecstack.patch
new file mode 100644
index 00000000000..f64a21f26b5
--- /dev/null
+++ b/media-sound/guitarix/files/guitarix-0.40.0-noexecstack.patch
@@ -0,0 +1,26 @@
+From fc3e0b4754425bb262c8bcfd24cd345dd10e8d60 Mon Sep 17 00:00:00 2001
+From: brummer10 <[email protected]>
+Date: Fri, 5 Jun 2020 06:41:30 +0200
+Subject: [PATCH] Fix issue #104 lv2 plugins contains executable stack, patch
+ by Alexander Tsoy
+
+---
+ trunk/src/LV2/xputty/resources/wscript | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/LV2/xputty/resources/wscript 
b/src/LV2/xputty/resources/wscript
+index a2f0402c..3c383393 100644
+--- a/src/LV2/xputty/resources/wscript
++++ b/src/LV2/xputty/resources/wscript
+@@ -41,7 +41,7 @@ def img2obj(task):
+     src = " ".join(["'%s'" % os.path.splitext(v.name)[0] for v in 
task.inputs[0:]])
+     cmd = ("cd src/LV2/xputty/resources/ \
+     && for f in %s; do\
+-     %s -r -b binary ${f}.png -o  ${f}.o; \
++     %s -r -b binary -z noexecstack ${f}.png -o  ${f}.o; \
+      done " % (src, env.LD[0]) )
+    # Logs.debug("runner: system command -> %s" % cmd)
+     ret = task.exec_command(cmd, shell=True)
+-- 
+2.26.2
+

diff --git a/media-sound/guitarix/files/guitarix-0.40.0-nostrip.patch 
b/media-sound/guitarix/files/guitarix-0.40.0-nostrip.patch
new file mode 100644
index 00000000000..2bc77f443b1
--- /dev/null
+++ b/media-sound/guitarix/files/guitarix-0.40.0-nostrip.patch
@@ -0,0 +1,24 @@
+From 3dd1e0a8ea7db95b76a7b38e27a9b54d6fe75c76 Mon Sep 17 00:00:00 2001
+From: Alexander Tsoy <[email protected]>
+Date: Fri, 5 Jun 2020 17:21:10 +0300
+Subject: [PATCH] Do not strip lv2 plugins
+
+---
+ trunk/wscript | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/wscript b/wscript
+index 2699325f..f2d8f86d 100644
+--- a/wscript
++++ b/wscript
+@@ -375,7 +375,6 @@ def configure(conf):
+     conf.env['DESKAPPS_DIR'] = 
os.path.normpath(os.path.join(conf.env['SHAREDIR'], 'applications'))
+     conf.env['BIN_NAME'] = APPNAME
+     if opt.lv2:
+-        conf.gxload('strip')
+         conf.gxload('lv2')
+     conf.env['LADSPA'] = opt.ladspa
+     conf.env['NEW_LADSPA'] = opt.new_ladspa
+-- 
+2.26.2
+

diff --git a/media-sound/guitarix/guitarix-0.40.0.ebuild 
b/media-sound/guitarix/guitarix-0.40.0.ebuild
new file mode 100644
index 00000000000..8b4b9f2d5da
--- /dev/null
+++ b/media-sound/guitarix/guitarix-0.40.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE='threads(+)'
+
+inherit python-any-r1 waf-utils xdg
+
+MY_P="${PN}2-${PV}"
+
+DESCRIPTION="Virtual guitar amplifier for Linux"
+HOMEPAGE="http://guitarix.org/";
+SRC_URI="mirror://sourceforge/guitarix/guitarix/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="bluetooth debug lv2 nls +standalone zeroconf"
+REQUIRED_USE="|| ( lv2 standalone )"
+
+COMMON_DEPEND="dev-cpp/eigen:3
+       dev-cpp/glibmm:2
+       dev-cpp/gtkmm:3.0
+       dev-libs/glib:2
+       >=media-libs/libsndfile-1.0.17
+       >=media-libs/zita-convolver-3:=
+       media-libs/zita-resampler
+       >=net-misc/curl-7.26.0
+       >=sci-libs/fftw-3.1.2:3.0=
+       x11-libs/gtk+:3
+       lv2? ( media-libs/lv2 )
+       standalone? (
+               dev-libs/boost:=
+               media-libs/liblrdf
+               media-libs/lilv
+               virtual/jack
+               bluetooth? ( net-wireless/bluez )
+               zeroconf? ( net-dns/avahi )
+       )
+"
+# roboto fonts are required for correct ui rendering
+RDEPEND="${COMMON_DEPEND}
+       standalone? (
+               media-fonts/roboto
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       ${PYTHON_DEPS}
+       dev-lang/sassc
+       virtual/pkgconfig
+       nls? (
+               dev-util/intltool
+               sys-devel/gettext
+       )
+"
+
+DOCS=( changelog README )
+
+PATCHES=(
+       "${FILESDIR}"/${P}-noexecstack.patch
+       "${FILESDIR}"/${P}-nostrip.patch
+)
+
+src_configure() {
+       local myconf=(
+               --cxxflags-debug=""
+               --cxxflags-release="-DNDEBUG"
+               --ldflags="${LDFLAGS}"
+               --enable-lfs
+               --lib-dev
+               --no-desktop-update
+               --no-faust
+               --no-ldconfig
+               --shared-lib
+               $(use_enable nls)
+               $(usex bluetooth "" "--no-bluez")
+               $(usex debug "--debug" "")
+               $(usex lv2 "--lv2dir=${EPREFIX}/usr/$(get_libdir)/lv2" 
"--no-lv2 --no-lv2-gui")
+               $(usex standalone "" "--no-standalone")
+               $(usex zeroconf "" "--no-avahi")
+       )
+       waf-utils_src_configure "${myconf[@]}"
+}

Reply via email to